Subject: RE: Invalid IotpTransId

From: David Burdett <[email-masked]>
Date: Mon, 2 Aug 1999 16:05:42 -0700

I agree. It also makes the processing of messages more consistent. Therefore
the specification in section  4.5.2.1 is changed from ...

"If the message is well formed but the IotpTransId cannot be identified then
generate an ErrorComponent with: 
o a Severity of HardError and an ErrorCode of AttMissing,
o one PackagedContent containing the original Input Message, and
o the second PackagedContent containing "IotpTransId" - the missing
attribute."

... to ...

"If the message is well formed but the IotpTransId cannot be identified then
generate an ErrorComponent with: 
o a Severity of HardError and an ErrorCode of AttMissing,
o a PackagedContent containing "IotpTransId" - the missing attribute."

Regards

David

-----Original Message-----
From: Yoshiaki KAWATSURA [mailto:[email-masked]]
Sent: Thursday, July 29, 1999 7:43 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: Invalid IotpTransId

David,
I think it is better not to include the original message in the all
Error Messages, since the Consumer's system is very hard to recognise
the original message when IotpTransId is corrupted even if the whole
original message is included in the Error Message. Therefore, this
original message included in the er ror message may be used only for
the debug.  
Additionally, we want to avoid the IOTP message getting fat.

>>>>> Mon, 26 Jul 1999 19:58:54 +0100,
	[email-masked] said:

> In Yoshiaki's other email he raised a good point. I've replied in a
separate
> email to raise visibility ...
> 
> When I wrote this part of the spec (see below) I was debating whether or
not
> to include the original input message since if you think about it, the
data
> will probably have got through without corruption if it is well formed.
> However, it is so unlikely that the IotpTransId cannot be recognised that
I
> thought it a good idea to include the original message. Your comment is
> making me think again.
> 
> What do folks think?
> 
> David
> 
> 
> > 4.5.2.1 Checking Structure and Message Identity
> > -- Start
> >   If the message is well formed but the IotpTransId cannot be identifie
> >   then generate an ErrorComponent with:
> > 
> >       o a Severity of HardError and an ErrorCode of AttMissing,
> > 
> >       o one PackagedContent containing the original Input Message,
> >         and
> > 
> >       o the second PackagedContent containing "IotpTransId" - the
> >         missing attribute.
> > 
> >   Insert the Error Component inside an Error Block with a new
> >   TransactionId component with a new IotpTransId and return it to the
> >   sender of the original message.
> > --End
> > I have two questions.
> > 
> > Question 1. If we include two PackagedContent Components in Error
> > Component, we have to decide the both Name element(s) so that Consumer
> > side OAC recognizes them and handles.
> > 
> > Question 2. This is the only case that the Original Input Message is
> > included in the Packaged Content of Error Component isn't it?
> > 
> 
>
****************************************************************************
******************
> 
> This Email and any attached files are confidential and may also be
privileged. 
> If you are not the intended recipient, please notify the postmaster using
email 
> address [email-masked] or call +44 171 557 5000 and ask for the 
> IT Helpdesk.  You should not copy this email and any attached files, use
them 
> for any purpose or disclose the contents to any other person; all copies
of the 
> Email and associated files in your possession should be destroyed.
> 
> Mondex International Limited
> 47-53 Cannon Street
> London EC4M 5SQ
> United Kingdom
> Registered No: 3122085, England
> 
> Phone:          +44 171 557 5000
> Fax:            +44 171 557 5200
> Email:          [email-masked]
> WebSite:        http://www.mondexinternational.com
> 
>
****************************************************************************
*****************
> -----------------------------------------------------------------------
> Message addressed to: [email-masked]
> Archive available at: http://www.elistx.com/archives/ietf-trade/
> To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
> body to: [email-masked]
> 
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]